Loading...
Searching...
No Matches
ranges::views::zip_with_fn Struct Reference

## Public Member Functions

template<typename... Rngs, typename Fun > requires and_v<viewable_range<Rngs>...> && and_v<input_range<Rngs>...> && copy_constructible<Fun> && invocable<Fun &, range_reference_t<Rngs>...> && (sizeof...(Rngs) != 0)
zip_with_view< Fun, all_t< Rngs >... > | operator() (Fun fun, Rngs &&... rngs) const
template<typename Fun > requires copy_constructible<Fun> && invocable<Fun &>
constexpr empty_view< detail::decay_t< invoke_result_t< Fun & > > > | operator() (Fun) const noexcept

## Related Symbols

(Note that these are not member symbols.)
constexpr zip_with_fn | zip_with {}